# frozen_string_literal: true

Gem::Specification.new do |spec|
	spec.name          = "em_promise.rb"
	spec.version       = `git describe --always --dirty`
	spec.authors       = ["Stephen Paul Weber"]
	spec.email         = ["dev@singpolyma.net"]
	spec.license       = "GPL-3.0"

	spec.summary       = "promise.rb Promises for EventMachine"
	spec.description   = "A subclass of promise.rb Promise for EventMachine."
	spec.homepage      = "https://git.singpolyma.net/em_promise.rb"

	spec.files         =
		`git ls-files -z`.split("\x00".b).reject do |f|
			f.start_with?(".", "test/", "scripts/") ||
				f == "Makefile" || f == "Gemfile"
		end
	spec.require_paths = ["lib"]

	spec.add_dependency "eventmachine"
	spec.add_dependency "promise.rb", "~> 0.7.4"
end
